# $Revision: 1.19 $, $Date: 2012/05/20 20:30:57 $
Summary:	Color management tools for GNOME
Name:		gnome-color-manager
Version:	3.4.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-color-manager/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	9c9e84d17a9a5d2b6e6d078f924095b8
URL:		http://projects.gnome.org/gnome-color-manager/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.10.0
BuildRequires:	clutter-gtk-devel
BuildRequires:	colord-devel >= 0.1.12
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gnome-desktop-devel >= 3.0.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libexif-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	mash-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.28.0
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	colord >= 0.1.12
Requires:	dconf
Requires:	hicolor-icon-theme
Requires:	polkit-gnome
Suggests:	shared-color-profiles
Obsoletes:	gnome-color-manager-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Color Manager is a session framework for the GNOME desktop
environment that makes it easy to manage easy to manage, install and
generate color profiles.

%prep
%setup -q

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gcm-calibrate
%attr(755,root,root) %{_bindir}/gcm-import
%attr(755,root,root) %{_bindir}/gcm-inspect
%attr(755,root,root) %{_bindir}/gcm-picker
%attr(755,root,root) %{_bindir}/gcm-viewer
%attr(755,root,root) %{_libexecdir}/gcm-calibrate-helper
%attr(755,root,root) %{_libexecdir}/gcm-helper-exiv
%{_datadir}/gnome-color-manager
%{_desktopdir}/gcm-calibrate.desktop
%{_desktopdir}/gcm-import.desktop
%{_desktopdir}/gcm-picker.desktop
%{_desktopdir}/gcm-viewer.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-color-manager.spec,v $
Revision 1.19  2012/05/20 20:30:57  kiesiu
- updated to 3.4.2

Revision 1.18  2012/03/30 09:58:48  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.17  2012/03/27 05:08:11  arekm
- release 2

Revision 1.16.2.1  2012/03/14 17:33:07  megabajt
- updated to 3.3.91

Revision 1.16  2012/01/13 20:37:41  zbyniu
- up to 3.2.2

Revision 1.15  2012/01/13 14:49:10  arekm
- release 2

Revision 1.14  2011/12/06 20:44:15  kiesiu
- updated to 3.2.1

Revision 1.13  2011/09/30 08:49:14  patrys
- 3.2.0
- merged from DEVEL

Revision 1.12.2.4  2011/09/30 08:48:40  patrys
- 3.2.0

Revision 1.12.2.3  2011/09/21 20:39:20  megabajt
- updated to 3.1.92

Revision 1.12.2.2  2011/09/05 20:53:30  wiget
- up to 3.1.91

Revision 1.12.2.1  2011/08/01 00:04:57  patrys
- 3.1.2

Revision 1.12  2011/04/07 10:35:18  megabajt
- S: shared-color-profiles
- /var/lib/color moved to filesystem

Revision 1.11  2011/04/06 18:37:42  megabajt
- moved dbus introspection data to main package (used by gcm-session)

Revision 1.10  2011/04/06 18:33:27  megabajt
- package /var/lib/color directory

Revision 1.9  2011/04/06 17:40:36  megabajt
- merged from DEVEL

Revision 1.8.2.4  2011/04/05 09:55:23  patrys
- 3.0

Revision 1.8.2.3  2011/03/21 17:38:28  megabajt
- updated to 2.91.92
- removed -apidocs subpackage (gtk-doc documentation no longer available)

Revision 1.8.2.2  2011/03/19 13:27:13  wiget
- md5 update

Revision 1.8.2.1  2011/03/18 23:02:10  megabajt
- updated to 2.91.90

Revision 1.8  2011/02/04 18:23:47  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.7  2010/11/18 19:07:20  sls
- ver. 2.32.0

Revision 1.6  2010/04/26 16:13:31  megabajt
- updated to 2.30.1

Revision 1.5  2010/03/29 17:16:07  megabajt
- updated to 2.30.0

Revision 1.4  2010/03/24 20:39:12  megabajt
- updated to 2.29.4

Revision 1.3  2010/02/25 16:27:00  patrys
- libtoolize

Revision 1.2  2009/12/07 21:14:28  sparky
- BR: docbook-dtd41-sgml, gnome-common, gnome-doc-utils, intltool

Revision 1.1  2009/12/07 20:29:40  patrys
- initial PLD release

